> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Registration

> Get a registration by ID.

`load_registration_for_user` enforces org-scope plus ownership: admin /
office-admin see any registration in their org; other roles see only
registrations belonging to their own assignments. Cross-org and
cross-user accesses return 404 without disclosing existence.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/registrations/{registration_id}
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/registrations/{registration_id}:
    get:
      tags:
        - learn-registrations
      summary: Get Registration
      description: |-
        Get a registration by ID.

        `load_registration_for_user` enforces org-scope plus ownership: admin /
        office-admin see any registration in their org; other roles see only
        registrations belonging to their own assignments. Cross-org and
        cross-user accesses return 404 without disclosing existence.
      operationId: get_registration_api_v1_learn_registrations__registration_id__get
      parameters:
        - name: registration_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Registration Id
        - name: expand
          in: query
          required: false
          schema:
            type: boolean
            description: Include enriched data (user/course/ship names)
            default: false
            title: Expand
          description: Include enriched data (user/course/ship names)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/RegistrationDTO'
                  - $ref: '#/components/schemas/RegistrationDetailDTO'
                title: >-
                  Response Get Registration Api V1 Learn Registrations 
                  Registration Id  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RegistrationDTO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        assignment_id:
          type: string
          format: uuid
          title: Assignment Id
        course_id:
          type: string
          format: uuid
          title: Course Id
        status:
          type: string
          title: Status
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        score_percent:
          anyOf:
            - type: integer
            - type: 'null'
          title: Score Percent
        time_spent_seconds:
          type: integer
          title: Time Spent Seconds
          default: 0
        attempt_count:
          type: integer
          title: Attempt Count
          default: 0
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        last_status_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Status At
      type: object
      required:
        - id
        - organization_id
        - assignment_id
        - course_id
        - status
        - created_at
        - updated_at
      title: RegistrationDTO
      description: |-
        Registration data transfer object - returned from repositories.
        Represents a course enrollment/registration record.

        Note: The registration.id is used as the xAPI registration ID.
    RegistrationDetailDTO:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        userName:
          type: string
          title: Username
        userEmail:
          type: string
          title: Useremail
        courseTitle:
          type: string
          title: Coursetitle
        shipName:
          type: string
          title: Shipname
        role:
          type: string
          title: Role
        status:
          type: string
          title: Status
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completedat
        scorePercent:
          anyOf:
            - type: integer
            - type: 'null'
          title: Scorepercent
        timeSpentSeconds:
          type: integer
          title: Timespentseconds
          default: 0
        attemptCount:
          type: integer
          title: Attemptcount
          default: 0
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - userName
        - userEmail
        - courseTitle
        - shipName
        - role
        - status
        - completedAt
        - createdAt
      title: RegistrationDetailDTO
      description: Registration/progress info for API responses with denormalized data.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````